#include "msp430fr5739.h"
#include"derection.h"

const unsigned char LED_Menu[] = {0x80,0xC0,0xE0,0xF0};
// These golabal variables are used in the ISRs and in FR_EXP.c
//volatile unsigned char mode = 0;
//volatile unsigned char UserInput = 0;
//volatile unsigned char ULP =0; 
volatile unsigned int *FRAMPtr = 0;
volatile unsigned char active = 0;
volatile unsigned char SwitchCounter=0;
volatile unsigned char Switch1Pressed=0;
volatile unsigned char Switch2Pressed=0;
volatile unsigned int ADCResult = 0;
volatile unsigned int ADCResult1 = 0;
int j=0;

void main(void)
{
  WDTCTL = WDTPW + WDTHOLD;                 // Stop WDT  
  
  SystemInit();                  
  // Init the Board
  StartUpSequence();                        // Light up LEDs
 
   FRAMPtr = (unsigned int *) ADC_START_ADD;
   
  while(1)
  {
      Mode3();
  }
 
}


/**********************************************************************//**
 * @brief  ADC10 ISR for MODE3 and MODE4
 * 
 * @param  none 
 *  
 * @return none
 *************************************************************************/
#pragma vector=ADC10_VECTOR
__interrupt void ADC10_ISR(void)
{
  switch(__even_in_range(ADC10IV,ADC10IV_ADC10IFG))
  {
    case ADC10IV_NONE: break;               // No interrupt
    case ADC10IV_ADC10OVIFG: break;         // conversion result overflow
    case ADC10IV_ADC10TOVIFG: break;        // conversion time overflow
    case ADC10IV_ADC10HIIFG: break;         // ADC10HI
    case ADC10IV_ADC10LOIFG: break;         // ADC10LO
    case ADC10IV_ADC10INIFG: break;         // ADC10IN
    case ADC10IV_ADC10IFG: 
      if(j==0)
      {
             ADCResult = ADC10MEM0;
              ADC10IFG=0;
             *FRAMPtr = ADCResult;
             j++;
      }
      else
      {
             ADCResult1 = ADC10MEM0;
             ADC10IFG=0;
             *FRAMPtr = ADCResult;  
             j=0;
      }
           
             FRAMPtr+=1;
             // Pointer round off, once 0x200 locations are written, the pointer
             // rolls over
             if (FRAMPtr > (unsigned int *)ADC_END_ADD)
                  FRAMPtr = (unsigned int *) ADC_START_ADD; 
             __bic_SR_register_on_exit(CPUOFF);                                              
             break;                          // Clear CPUOFF bit from 0(SR)                         
    default: break; 
  }  
}
